> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/custom-actions.md).

# Custom Actions

Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:

* Sending SMS messages
* Updating CRM or support tickets
* Calling internal APIs
* Triggering webhooks
* Interacting with third-party systems

Relevant documentation:

* [Automations](https://developer.mediarithmics.io/advanced-usages/automations)

## GET /scenario\_custom\_actions/{custom\_action\_id}/properties

> List of the custom action properties

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions/{custom_action_id}/properties":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PropertyResource"}},"count":{"type":"integer"}},"required":["count","data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findProperties","description":"","parameters":[{"explode":false,"in":"path","style":"simple","name":"custom_action_id","schema":{"type":"string"},"required":true,"description":"The custom action id"},{"explode":true,"schema":{"type":"string"},"name":"plugin_version_id","required":false,"in":"query","style":"form"}],"tags":["Custom Actions"],"summary":"List of the custom action properties"}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /scenario\_custom\_actions/{custom\_action\_id}/properties

> Add a property to the custom action

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions/{custom_action_id}/properties":{"post":{"summary":"Add a property to the custom action","parameters":[{"required":true,"name":"custom_action_id","description":"The custom action id","schema":{"type":"string"},"in":"path","style":"simple","explode":false},{"schema":{"type":"string"},"name":"plugin_version_id","style":"form","required":false,"explode":true,"in":"query"}],"description":"","tags":["Custom Actions"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The property to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true},"operationId":"addProperty"}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /scenario\_custom\_actions/{custom\_action\_id}

> Search custom action by Id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions/{custom_action_id}":{"get":{"tags":["Custom Actions"],"operationId":"getCustomAction","summary":"Search custom action by Id","parameters":[{"description":"The custom action id","schema":{"type":"string"},"style":"simple","required":true,"explode":false,"in":"path","name":"custom_action_id"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ScenarioCustomActionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"ScenarioCustomActionResource":{"type":"object","properties":{"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_value":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"version_id":{"type":"string","readOnly":true}},"required":["artifact_id","created_by","creation_ts","group_id","id","name","organisation_id","version_id","version_value"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /scenario\_custom\_actions/{custom\_action\_id}

> Update custom action

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions/{custom_action_id}":{"put":{"parameters":[{"explode":false,"style":"simple","name":"custom_action_id","schema":{"type":"string"},"required":true,"in":"path","description":"The custom action id"}],"description":"","summary":"Update custom action","operationId":"updateCustomAction","requestBody":{"description":"The custom action to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScenarioCustomActionResource"}}},"required":true},"tags":["Custom Actions"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ScenarioCustomActionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ScenarioCustomActionResource":{"type":"object","properties":{"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_value":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"version_id":{"type":"string","readOnly":true}},"required":["artifact_id","created_by","creation_ts","group_id","id","name","organisation_id","version_id","version_value"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /scenario\_custom\_actions/{custom\_action\_id}

> Delete custom action

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions/{custom_action_id}":{"delete":{"tags":["Custom Actions"],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"name":"custom_action_id","schema":{"type":"string"},"required":true,"in":"path","style":"simple","description":"The custom action id"}],"description":"","summary":"Delete custom action","operationId":"deleteCustomAction"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /scenario\_custom\_actions

> Search plugins custom action

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions":{"get":{"summary":"Search plugins custom action","description":"","tags":["Custom Actions"],"operationId":"findCustomActions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ScenarioCustomActionResource"}},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"form","required":false,"schema":{"type":"string"},"explode":true,"name":"organisation_id","description":"The organisation owning the plugin custom action","in":"query"},{"explode":true,"description":"The community owning the custom action","name":"community_id","schema":{"type":"string"},"in":"query","style":"form","required":false},{"schema":{"type":"string"},"in":"query","description":"The name of the plugin instance","name":"name","style":"form","required":false,"explode":true},{"schema":{"type":"integer","format":"int32"},"style":"form","description":"Offset from which the search must be performed","required":false,"name":"first_result","in":"query","explode":true},{"style":"form","description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"name":"max_results","required":false,"explode":true,"in":"query"}]}}},"components":{"schemas":{"ScenarioCustomActionResource":{"type":"object","properties":{"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_value":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"version_id":{"type":"string","readOnly":true}},"required":["artifact_id","created_by","creation_ts","group_id","id","name","organisation_id","version_id","version_value"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /scenario\_custom\_actions

> Create custom actions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions":{"post":{"summary":"Create custom actions","requestBody":{"description":"The bid optimizer to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScenarioCustomActionResource"}}},"required":true},"operationId":"createCustomActions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ScenarioCustomActionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Custom Actions"]}}},"components":{"schemas":{"ScenarioCustomActionResource":{"type":"object","properties":{"group_id":{"type":"string","readOnly":false},"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_value":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"version_id":{"type":"string","readOnly":true}},"required":["artifact_id","created_by","creation_ts","group_id","id","name","organisation_id","version_id","version_value"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /scenario\_custom\_actions/{custom\_action\_id}/properties/technical\_name={technical\_name}

> Update The custom action property

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Custom Actions","description":"Operations related to **Custom Actions**, the plugins that execute bespoke logic within Marketing Automation scenarios to trigger unique actions not native to the platform. Enable integration of custom workflows such as:\n- Sending SMS messages\n- Updating CRM or support tickets\n- Calling internal APIs\n- Triggering webhooks\n- Interacting with third-party systems\n\nRelevant documentation:\n- [Automations](https://developer.mediarithmics.io/advanced-usages/automations)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/scenario_custom_actions/{custom_action_id}/properties/technical_name={technical_name}":{"put":{"requestBody":{"description":"The property to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true},"operationId":"updateProperty","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"simple","required":true,"schema":{"type":"string"},"description":"The custom action id","in":"path","name":"custom_action_id","explode":false},{"name":"technical_name","in":"path","schema":{"type":"string"},"explode":false,"description":"The property technical name","required":true,"style":"simple"},{"explode":true,"name":"plugin_version_id","schema":{"type":"string"},"style":"form","in":"query","required":false}],"description":"","tags":["Custom Actions"],"summary":"Update The custom action property"}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/custom-actions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
